Installer - Bug #26588

Installation of foreman katello interrupts because of dependency cycle
04/11/2019 09:32 AM- R H

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: foreman-installer script
Target version: 1.22.0
Difficulty: Fixed in Releases: 1.22.0
Triaged: Yes Found in Releases: Katello 3.11.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/365

Description

Dear foreman team,
the installation on my fully updated fresh centos 7 fails with:

Failed to apply catalog: Found 1 dependency cycle:

(Group[foreman] => User[apache] => Class|[Apache] => Package[tfm-rubygem-passenger-native] => Class
[Foreman: :Install] => Class[Foreman::Config] => Group[foreman])
Try the '—-—-graph' option and opening the resulting '.dot' file in OmniGraffle or GraphViz

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/simple_graph.rb:242:in "“report_cycles_in_
graph'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:106:in “traverse'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:154:in “evaluate'
/usr/share/gems/gems/kafo—-2.1.0/modules/kafo_configure/lib/puppet/parser/functions/add_progress.rb
:30:in “evaluate_with_trigger'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:222:in block in apply'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb:155:in “with_destination'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/report.rb:146:in “as_logging_destin
ation'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:221:in "apply'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:171:in “block in apply_catalog'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:224:in “block in benchmark'
/opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in ‘realtime’
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:223:in 'benchmark'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:170:in “apply_catalog'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:343:in “run_internal'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:221:in "block in run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in “override'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:306:in “override'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:195:in ‘run'

/opt /puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:348:in “apply_catalog'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:274:in “block in main'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in ‘override'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:306:in "“override'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:225:in "main'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:170:in " run_command'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:375:in “block in run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:662:in “exit_on_fail'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:375:in “run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:132:in "run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:72:in "execute'
/opt/puppetlabs/puppet/bin/puppet:5:in " &lt;main&gt; "'

It can be reproduced every time if i remove every package relating to the installation and trying to install the foreman katello.

Associated revisions
Revision 9¢22391f - 06/03/2019 09:48 AM - Tomer Brisker

Fixes #26588 - Remove apache user from foreman group pre-install

History

#1-04/11/2019 09:41 AM-RH

Well on the same system the 3.10 installation works fine.

#2 - 04/17/2019 05:45 PM - Samir Jha

- Project changed from Katello to Installer

#3 - 04/18/2019 07:27 PM - Ewoud Kohl van Wijngaarden

This is likely caused by the apache user being in the foreman group. Can you show the output of id apache?

The description also sounds like a fresh install rather than an upgrade, but this problem is much more likely to be in an upgrade. Can you confirm
which one it is?

#4 - 04/18/2019 07:29 PM - Ewoud Kohl van Wijngaarden

- Target version set to 1.22.0

#5 - 06/03/2019 09:40 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman-installer/pull/365 added

#6 - 06/03/2019 10:43 AM - Ewoud Kohl van Wijngaarden
- Category set to foreman-installer script
- Triaged changed from No to Yes

- Fixed in Releases 1.22.0 added

#7 - 06/03/2019 11:01 AM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset installer|9c22391{816bae0541dc28d5d89298a3747c974b.
